%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)
%define srcver %(echo %{version}| tr -d 0)

Name:          perl-IO-AIO
Version:       4.81
Release:       1mamba
Summary:       IO::AIO - Asynchronous Input/Output
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/IO-AIO-%{srcver}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-common-sense
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
#BuildRequires: libgdbm-devel
#BuildRequires: libdb53-devel

%description
This module implements asynchronous I/O using whatever means your operating system supports.

%prep
%setup -q -n IO-AIO-%{srcver}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make 
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Feb 20 2024 Automatic Build System <autodist@openmamba.org> 4.81-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.80-1mamba
- update to 4.80

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 4.73-2mamba
- rebuilt with perl 5.36.0

* Sun Dec 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.73-1mamba
- update to 4.73
- removed libdb47 and libgdbm build requirements

* Sat May 02 2020 Automatic Build System <autodist@mambasoft.it> 4.72-1mamba
- automatic update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 4.34-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.32-2mamba
- rebuilt with perl 5.24

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 4.32-1mamba
- automatic update by autodist

* Sun Jun 22 2014 Automatic Build System <autodist@mambasoft.it> 4.31-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.18-2mamba
- perl 5.16 mass rebuild

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> 4.18-1mamba
- automatic version update by autodist

* Thu Apr 26 2012 Automatic Build System <autodist@mambasoft.it> 4.15-1mamba
- automatic version update by autodist

* Mon Jul 18 2011 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic update by autodist

* Fri Jul 03 2009 Automatic Build System <autodist@mambasoft.it> 3.261-1mamba
- automatic update by autodist

* Mon Jun 22 2009 Automatic Build System <autodist@mambasoft.it> 3.23-1mamba
- automatic update by autodist

* Tue May 05 2009 Automatic Build System <autodist@mambasoft.it> 3.19-1mamba
- automatic update by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.05-2mamba
- automatic rebuild by autodist

* Wed Jul 02 2008 gil <puntogil@libero.it> 3.05-1mamba
- package created by autospec
